﻿namespace NiceHashMiner
{
    internal static class Eula
    {
        public const string Text = @"TERMS OF SERVICE

PLEASE READ THESE TERMS OF SERVICE (“Terms”) CAREFULLY BEFORE USING THE SERVICES AND SOFTWARE DESCRIBED HEREIN. BY SELECTING “I AGREE”, USING OUR SERVICES OR DOWNLOADING OR USING NICEHASH MINING SOFTWARE, YOU ARE ACKNOWLEDGING THAT YOU HAVE READ THESE TERMS AND YOU ARE AGREEING TO BE BOUND BY THEM. IF YOU DO NOT AGREE TO THESE TERMS, DO NOT USE OUR SERVICES OR DOWNLOAD OR USE THE NICEHASH MINING SOFTWARE.

GENERAL

NiceHash operates as an intermediate service for providing hashing power from Hashing power providers to Hashing power buyers. NiceHash does not directly provide its own hashing power, but only provides Hashing power marketplace. NiceHash Miner and Excavator are software products developed by NiceHash which enable Hashing power providers to point their Hashing power rigs towards NiceHash stratum servers and sell their hashing power to Hashing power buyers. These Terms and any terms expressly incorporated herein apply to your access and use of the NiceHash Websites, NiceHash API and mobile applications provided by NiceHash as well as your use of NiceHash Services and NiceHash Mining Software.

DEFINITIONS

Capitalized terms will have the following meaning:

NiceHash means H-BIT, d.o.o., a limited liability company organized and existing under the laws of Slovenia, with registered address at Obrežna ulica 3, 2312 Orehova vas, Slovenia, registration number: 6633994000, VAT number: SI 28401280 which is the NiceHash Service provider, provider of Hashing power marketplace and developer of the NiceHash Mining Software, hereinafter referred to as “NiceHash”, as well as “we” or “ us”.

Hashing power marketplace means an infrastructure provided by the NiceHash which enables the Hashing power providers to point their rigs towards NiceHash stratum servers where Hashing power provided by different Hashing power providers is gathered and sold as generic Hashing power to the Hashing power buyers.

Hashing power buyer means a legal entity or individual who buys the gathered and generic hashing power on the Hashing power marketplace from undefined Hashing power providers.

Hashing power provider means a legal entity or individual who sells his hashing power on the Hashing power marketplace to undefined Hashing power buyers.

NiceHash Website means a website located on the following web address: www.nicehash.com.

NiceHash API means an Application Protocol Interface, accessible at api.nicehash.com/api.

NiceHash Account means an online account available on the NiceHash Website and created by completing the registration procedure on the NiceHash Website.

Account holder means a legal entity or individual who completes the registration procedure and successfully creates the NiceHash Account.

NiceHash Wallet means a wallet created automatically for the Account holder and provided by the NiceHash Wallet provider. NiceHash only transfers Account holder’s requests regarding the NiceHash Wallet to the NiceHash Wallet provider. NiceHash is not a NiceHash Wallet provider and only acts on behalf of the Account holder and for Account holder’s account. NiceHash Wallet is used to provide payments for the acquired hashing power on the Hashing power marketplace by the Hashing power buyers and to provide payments for the provided hashing power on the Hashing power marketplace to the Hashing power providers, if selected so by the Hashing power providers.

NiceHash Wallet provider is a third party which provides and manages the NiceHash Wallet. For more information about the NiceHash Wallet provider, see the following website: https://www.bitgo.com/.

NiceHash Services mean all services provided by the NiceHash, namely but not limited to providing of the Hashing power marketplace, NiceHash API, NiceHash Mining Software including licence for NiceHash Miner and Excavator, NiceHash Website, NiceHash Account and all other software products, applications and services associated with these products.

NiceHash Mining Software means NiceHash Miner and Excavator.

NiceHash Miner means a comprehensive software with graphical user interface and command line interface, developed by NiceHash which enables the Hashing power providers to point their rigs towards NiceHash stratum servers and sell their hashing power to the Hashing power buyers. NiceHash Miner means also any and all of its source code, compilations, updates, upgrades, modifications, error corrections, patches and bug fixes and similar.

Excavator means a low-level software with command line interface, developed by NiceHash which enables the Hashing power providers to point their rigs towards NiceHash stratum servers and sell their hashing power to the Hashing power buyers. Excavator means also any and all of its source code, compilations, updates, upgrades, modifications, error corrections, patches and bug fixes and similar.

Hashing power rig means all hardware which produces hashing power that represents computation power which is required to calculate the hash function of different type of cryptocurrency.

Secondary account is an account managed by third party from which the Account holder deposits funds to his NiceHash Wallet or/and to which the Account holder withdraws funds from his NiceHash Wallet.

Stratum is a lightweight mining protocol: https://slushpool.com/help/manual/stratum-protocol .

Blockchain network is a distributed database that is used to maintain a continuously growing list of records, called blocks.

Force Majeure Event means any governmental or relevant regulatory regulations, acts of God, war, riot, civil commotion, fire, flood, or any disaster or an industrial dispute of workers unrelated to you or NiceHash. Any act, event, omission, happening or non-happening will only be considered Force Majeure if it is not attributable to the wilful act, neglect or failure to take reasonable precautions of the affected party, its agents, employees, consultants, contractors and sub-contractors.

SERVICE ELIGIBILITY 

NiceHash Services are not for use by anyone under the age of 16.
Users who were below this new Minimum Age when they started using NiceHash Services under our previous Terms of Service may continue to use them, as they have already reached the new Minimum Age since then or will reach it in the near future.
“Minimum Age” means 16 years old. However, if law requires that you must be older in order for NiceHash to lawfully provide the Services to you without parental consent (including using of your personal data) then the Minimum Age is such older age.

SALE AND PURCHASE OF HASHING POWER

Hashing power providers agree to sell and NiceHash agrees to proceed Hashing power buyers’ payments for the provided hashing power on the Hashing power marketplace, on the Terms set forth herein. According to the applicable principle get-paid-per-valid-share (pay as you go principle) Hashing power providers will be paid only for validated and accepted hashing power to their NiceHash Wallet or other wallet, as indicated in Account holder’s profile settings or in stratum connection username. In some cases, no Hashing power is sent to Hashing power buyers or is accepted by NiceHash Services, even if Hashing power is generated on the Hashing power rigs. These cases include usage of slower hardware as well as software, hardware or network errors. In these cases, Hashing power providers are not paid for such Hashing power.
Hashing power buyers agree to purchase and NiceHash agrees to process the order and forward the purchased hashing power on the Hashing power marketplace, on the Terms set forth herein. According to the applicable principle pay-per-valid-share (pay as you go principle) Hashing power buyers will pay from their NiceHash Wallet only for the hashing power that was validated by our engine. When connection to the mining pool which is selected on the Hashing power order is lost or when an order is cancelled during its lifetime, Hashing power buyer pays for additional 10 seconds worth of hashing power. Hashing power order is charged for extra hashing power when mining pool which is selected on the Hashing power order, generates rapid mining work changes and/or rapid mining job switching.
All payments including any fees will be processed in crypto currency and NiceHash does not provide an option to sale and purchase of the hashing power in fiat currency.

RISK DISCLOSURE

If you choose to use NiceHash Services and NiceHash Wallet, it is important that you remain aware of the risks involved, that you have adequate technical resources and knowledge to bear such risks and that you monitor your transactions carefully.

GENERAL RISK
You understand that NiceHash Services, blockchain technology, Bitcoin, all other cryptocurrencies and cryptotokens, proof of work concept and other associated and related technologies are new and untested and outside of NiceHash’s control. You acknowledge that there are major risks associated with these technologies. In addition to the risks disclosed below, there are risks that NiceHash cannot foresee and it is unreasonable to believe that such risk could have been foreseeable. The performance of NiceHash’s obligation under these Terms will terminate if market or technology circumstances change to such an extent that (i) these Terms clearly no longer comply with NiceHash’s expectations, (ii) it would be unjust to enforce NiceHash’s obligations in the general opinion or (iii) NiceHash’s obligation becomes impossible.

NICEHASH ACCOUNT ABUSE
You acknowledge that there is risk associated with the NiceHash Account abuse and that you have been full informed and warned about it. The funds stored in the NiceHash Wallet may be disposed by third party in case the third party obtains the Account holder’s login credentials. The Account holder shall protect his login credentials and his electronic devices where the login credentials are stored against unauthorized access.

REGULATORY RISK
You acknowledge that there is risk associated with future legislation which may restrict, limit or prohibit certain aspects of blockchain technology which may result also in restriction, limitation or prohibition of NiceHash Services and that you have been fully informed and warned about it.

RISK OF HACKING
You acknowledge that there is risk associated with hacking NiceHash Services and NiceHash Wallet and that you have been fully informed and warned about it. Hacker or other groups or organizations may attempt to interfere with NiceHash Services or NiceHash Wallet in any way, including without limitation denial of services attacks, Sybil attacks, spoofing, smurfing, malware attacks, mining attacks or consensus-based attacks.

CRYPTOCURRENCY RISK
You acknowledge that there is risk associated with the cryptocurrencies which are used as payment method and that you have been fully informed and warned about it. Cryptocurrencies are prone to, but not limited to, value volatility, transaction costs and times uncertainty, lack of liquidity, availability, regulatory restrictions, policy changes and security risks.

NICEHASH WALLET RISK
You acknowledge that there is risk associated with funds held on the NiceHash Wallet and that you have been fully informed and warned about it. You acknowledge that NiceHash Wallet is provided by NiceHash Wallet provider and not NiceHash. You acknowledge and agree that NiceHash shall not be responsible for any NiceHash Wallet provider’s services, including their accuracy, completeness, timeliness, validity, copyright compliance, legality, decency, quality or any other aspect thereof. NiceHash does not assume and shall not have any liability or responsibility to you or any other person or entity for any Hash Wallet provider’s services. Hash Wallet provider’s services and links thereto are provided solely as a convenience to you and you access and use them entirely at your own risk and subject to NiceHash Wallet provider’s terms and conditions. Since the NiceHash Wallet is a cryptocurrency wallet all funds held on it are entirely uninsured in contrast to the funds held on the bank account or other financial institutions which are insured.

CONNECTION RISK
You acknowledge that there are risks associated with usage of NiceHash Services which are provided through internet including, but not limited to, the failure of hardware, software, configuration and internet connections and that you have been fully informed and warned about it. You acknowledge that NiceHash will not be responsible for any configuration, connection or communication failures, disruptions, errors, distortions or delays you may experience when using NiceHash Services, howsoever caused.

HASHING POWER PROVISION RISK
You acknowledge that there are risks associated with the provisions of the hashing power which is provided by the Hashing power providers trough Hashing power marketplace and that you have been fully informed and warned about it. You acknowledge that NiceHash does not provide the hashing power but only provides the Hashing power marketplace as a service. Hashing power providers’ Hashing power rigs are new and untested and outside of NiceHash’s control. There is a major risk that the Hashing power rigs (i) will stop providing hashing power, (ii) will provide hashing power in an unstable way, (iii) will be wrongly configured or (iv) provide insufficient speed of the hashing power. Hashing power rigs as hardware could be subject of damage, errors, electricity outage, misconfiguration, connection or communication failures and other malfunctions. NiceHash will not be responsible for operation of Hashing power rigs and its provision of hashing power. By submitting a Hashing power order you agree to Hashing power no-refund policy – all shares forwarded to mining pool, selected on the Hashing power order are final and non-refundable.

HASHING POWER PROFITABILITY RISK
You acknowledge that there is risk associated with the profitability of the hashing power provision and that you have been fully informed and warned about it. You acknowledge that all Hashing power rig’s earning estimates and profitability calculations on NiceHash Website are only for informational purposes and were made based on the Hashing power rigs set up in the test environments. NiceHash does not warrant that your Hashing power rigs would achieve the same profitability or earnings as calculated on NiceHash Website. There is risk that your Hashing power rig would not produce desired hashing power quantity and quality and that your produced hashing power would differentiate from the hashing power produced by our Hashing power rigs set up in the test environments. There is risk that your Hashing power rigs would not be as profitable as our Hashing power rigs set up in the test environments or would not be profitable at all.

WARRANTIES

NiceHash Services are provided on “AS IS” and “AS AVAILABLE” basis and with all faults and defects. To the maximum extent permitted by applicable law, NiceHash makes no representations and warranties and you waive all warranties of any kind. Particularly, without limiting the generality of the foregoing, the NiceHash makes no representations and warranties, whether express, implied, statutory or otherwise regarding NiceHash Services or other services related to NiceHash Services and provided by third parties, including any warranty that such services will be uninterrupted, harmless, secure or not corrupt or damaged, meet your requirements, achieve any intended results, be compatible or work with any other software, applications, systems or services, meet any performance or error free or that any errors or defects can or will be corrected. Additionally NiceHash makes no representations and warranties, whether express, implied, statutory or otherwise of merchantability, suitability, reliability, availability, timeliness, accuracy, satisfactory quality, fitness for a particular purpose or quality, title and non-infringement with respect to any of the NiceHash Services or other services related to NiceHash Services and provided by third parties, or quiet enjoyment and any warranties arising out of any course of dealing, course of performance, trade practice or usage of NiceHash Services including information, content and material contained therein.
Especially NiceHash makes no representations and warranties, whether express, implied, statutory or otherwise regarding any payment services and systems, NiceHash Wallet which is provided by third party or any other financial services which might be related to the NiceHash Services.
You acknowledge that you do not rely on and have not been induced to accept the NiceHash Services according to these Terms on the basis of any warranties, representations, covenants, undertakings or any other statement whatsoever, other than expressly set out in these Terms that neither the NiceHash nor any of its respective agents, officers, employees or advisers have given any such warranties, representations, covenants, undertakings or other statements.

LIABILITY

NiceHash and their respective officers, employees or agents will not be liable to you or anyone else, to the maximum extent permitted by applicable law, for any damages of any kind, including, but not limited to, direct, consequential, incidental, special or indirect damages (including but not limited to lost profits, trading losses or damages that result from use or loss of use of NiceHash Services or NiceHash Wallet), even if NiceHash has been advised of the possibility of such damages or losses, including, without limitation, from the use or attempted use of NiceHash Services, NiceHash Wallet or other related websites or services.
NiceHash does not assume any obligations to users in connection with the unlawful alienation of Bitcoins, which occured on 6. 12. 2017 with NICEHASH, d. o. o.
NiceHash will not be responsible for any compensation, reimbursement, or damages arising in connection with: (i) your inability to use the NiceHash Services, including without limitation as a result of any termination or suspension of the NiceHash Website or these Terms, power outages, maintenance, defects, system failures, mistakes, omissions, errors, defects, viruses, delays in operation or transmission or any failure of performance, (ii) the cost of procurement of substitute goods or services, (iii) any your investments, expenditures, or commitments in connection with these Terms or your use of or access to the NiceHash Services, (iv) your reliance on any information obtained from NiceHash, (v) Force Majeure Event, communications failure, theft or other interruptions or (vi) any unauthorized access, alteration, deletion, destruction, damage, loss or failure to store any data, including records, private key or other credentials, associated with NiceHash Services or NiceHash Wallet.
Our aggregate liability (including our directors, members, employees and agents), whether in contract, warranty, tort (including negligence, whether active, passive or imputed), product liability, strict liability or other theory, arising out of or relating to the use of NiceHash Services, or inability to use NiceHash Services under these Terms or under any other document or agreement executed and delivered in connection herewith or contemplated hereby, shall in any event not exceed 100 EUR per user.
You will defend, indemnify, and hold NiceHash harmless and all respective employees, officers, directors, and representatives from and against any claims, demand, action, damages, loss, liabilities, costs and expenses (including reasonable attorney fees) arising out of or relating to (i) any third-party claim concerning these Terms, (ii) your use of, or conduct in connection with, NiceHash Services, (iii) any feedback you provide, (iv) your violation of these Terms, (v) or your violation of any rights of any other person or entity. If you are obligated to indemnify us, we will have the right, in our sole discretion, to control any action or proceeding (at our expense) and determine whether we wish to settle it. If we are obligated to respond to a third-party subpoena or other compulsory legal order or process described above, you will also reimburse us for reasonable attorney fees, as well as our employees’ and contractors’ time and materials spent responding to the third-party subpoena or other compulsory legal order or process at reasonable hourly rates.
NiceHash Services and the information, products, and services included in or available through NiceHash Website may include inaccuracies or typographical errors. Changes are periodically added to the information herein. NiceHash may make improvements or changes on the NiceHash Website at any time. No information provided to you by NiceHash shall be considered or construed as advice.

NICEHASH ACCOUNT

The registration of the NiceHash Account is made through the NiceHash Website, where you are required to enter your email address and password in the registration form. After successful completion of registration, the confirmation email is sent to you. After you confirm your registration by clicking on the link in confirmation email the NiceHash Account is created. NiceHash will send you a proof of completed registration once the process is completed.
When you create NiceHash Account, you agree to (i) create a strong password that you change frequently and do not use for any other website, (ii) implement reasonable and appropriate measures designed to secure access to any device which has access to your email address associated with your NiceHash Account and your username and password for your NiceHash Account, (iii) maintain the security of your NiceHash Account by protecting your password and by restricting access to your NiceHash Account; (iv) promptly notify us if you discover or otherwise suspect any security breaches related to your NiceHash Account so we can take all required and possible measures to secure your NiceHash Account and (v) take responsibility for all activities that occur under your NiceHash Account and accept all risks of any authorized or unauthorized access to your NiceHash Account, to the maximum extent permitted by law.
Once the NiceHash Account is created a NiceHash Wallet is automatically created for the NiceHash Account. Account holder’s NiceHash Wallet is generated by NiceHash Wallet provider.
In order to pay for the acquired hashing power the Hashing power buyers must deposit funds to the NiceHash Wallet, as the payments for the hashing power could be made only through NiceHash Wallet. Hashing power providers have two options to get paid for the provided hashing power: (i) by using NiceHash Wallet to receive the payments or (ii) by providing other Bitcoin address where the payments shall be received to NiceHash. Hashing power providers provide their Bitcoin address to NiceHash by providing such details via Account holder’s profile settings or in a form of a stratum username while connecting to NiceHash stratum servers.
Account holder may load funds on his NiceHash Wallet from his Secondary account. Account holder may be charged fees by the Secondary account provider or by the blockchain network for such transaction. NiceHash is not responsible for any fees charged by Secondary account providers or by the blockchain network or for the management and security of the Secondary accounts. Account holder is solely responsible for his use of Secondary accounts and Account holder agrees to comply with all terms and conditions applicable to any Secondary accounts. The timing associated with a load transaction will depend in part upon the performance of Secondary accounts providers, the performance of blockchain network and performance of the NiceHash Wallet provider. NiceHash makes no guarantee regarding the amount of time it may take to load funds on to NiceHash Wallet.
NiceHash Wallet shall not be used by Account holders to keep, save and hold funds for longer period. The NiceHash Wallet shall be used exclusively and only for current and ongoing transactions regarding the NiceHash Services. Account holders shall promptly withdraw any funds kept on the NiceHash Wallet that will not be used and are not intended for the NiceHash Services. Commission fees may be charged by the NiceHash Wallet provider, by the blockchain network or by NiceHash for any NiceHash Wallet transactions. Please refer to the NiceHash Website, for more information about the commission fees for NiceHash Wallet transactions which are applicable at the time of the transaction. NiceHash reserves the right to change these commission fees according to the provisions to change these Terms at any time for any reason.
You have the right to use the NiceHash Account only in compliance with these Terms and other commercial terms and principles published on the NiceHash Website. In particular, you must observe all regulations aimed at ensuring the security of funds and financial transactions.
Provided that the balance of funds in your NiceHash Wallet is greater than any minimum balance requirements needed to satisfy any of your open orders, you may withdraw from your NiceHash Wallet any amount of funds, up to the total amount of funds in your NiceHash Wallet in excess of such minimum balance requirements, to Secondary Account, less any applicable withdrawal fees charged by NiceHash or by the blockchain network for such transaction. Withdrawals are not processed instantly and may be grouped with other withdrawal requests. Some withdrawals may require additional verification information which you will have to provide in order to process the withdrawal. It may take up to 24 hours before withdrawal is fully processed and distributed to the Blockchain network. Please refer to the NiceHash Website for more information about the withdrawal fees and withdrawal processing. NiceHash reserves the right to change these fees according to the provisions to change these Terms at any time for any reason.
You have the right to close the NiceHash Account. In case you have funds on your NiceHash Wallet you should withdraw funds from your account prior to requesting NiceHash Account closure. After we receive your NiceHash Account closure request we will deactivate your NiceHash Account as soon as technically possible but at the latest in 7 days from the day after receiving your request to close the NiceHash Account. NiceHash will inform you when your NiceHash Account is closed.
NiceHash is not responsible for the loss of the funds, stored on or transferred from the NiceHash Wallet, as well as for the erroneous implementation of the transactions made via NiceHash Wallet, where such loss or faulty implementation of the transaction are the result of a malfunction of the NiceHash Wallet and the malfunction was caused by you or the NiceHash Wallet provider. You are obliged to inform NiceHash in case of loss or theft, as well as in the case of any possible misuse of the access data to your NiceHash Account, without any delay, and demand change of access data or closure of your existing NiceHash Account and submit a request for new access data. NiceHash will execute the change of access data or closure of the NiceHash Account and the opening of new NiceHash Account as soon as technically possible and without any undue delay.
All information pertaining to registration, including a registration form, generation of NiceHash Wallet and detailed instructions on the use of the NiceHash Account and NiceHash Wallet are available at NiceHash Website. The registration form as well as the entire system is properly protected from unwanted interference by third parties.

HASHING POWER TRANSACTIONS

GENERAL
NiceHash may, at any time and in our sole discretion, (i) refuse any order submitted or provided hashing power, (ii) cancel an order or part of the order before it is executed, (iii) impose limits on the order amount permitted or on provided hashing power or (iv) impose any other conditions or restrictions upon your use of the NiceHash Services without prior notice. For example, but not limited to, NiceHash may limit the number of open orders that you may establish or limit the type of supported Hashing power rigs and mining algorithms or NiceHash may restrict submitting orders or providing hashing power from certain locations.
Please refer to the NiceHash Website, for more information about terminology, hashing power transactions’ definitions and descriptions, order types, order submission, order procedure, order rules and other restrictions and limitations of the hashing power transactions. NiceHash reserves the right to change any transaction, definitions, description, order types, procedure, rules, restrictions and limitations at any time for any reason.
Orders, provision of hashing power, payments, deposits, withdrawals and other transactions are accepted only through the interface of the NiceHash Website, NiceHash API and NiceHash Account and are fixed by the software and hardware tools of the NiceHash Website. If you do not understand the meaning of any transaction option, NiceHash strongly encourages you not to utilize any of those options.

HASHING POWER ORDER
In order to submit an order via the NiceHash Account, the Hashing power buyer must have available funds in his NiceHash Wallet.
Hashing power buyer submits a new order to buy hashing power via the NiceHash Website or via the NiceHash API by setting the following parameters in the order form: NiceHash service server location, third-party mining pool, algorithm to use, order type, set amount he is willing to spend on this order, set price per hash he is willing to pay, optionally approximate limit maximum hashing power for his order and other parameters as requested and by confirming his order. Hashing power buyer may submit an order in maximum amount of funds available on his NiceHash Wallet at the time of order submission. Order run time is only approximate since order’s lifetime is based on the number of hashes that it delivers.
Particularly during periods of high volume, illiquidity, fast movement or volatility in the marketplace for any digital assets or hashing power, the actual price per hash at which some of the orders are executed may be different from the prevailing price indicated on NiceHash Website at the time of your order. You understand that NiceHash is not liable for any such price fluctuations. In the event of market disruption, NiceHash Hashing Power Marketplace disruption or manipulation or Force Majeure Event, NiceHash may do one or more of the following: (i) suspend access to the NiceHash Account or NiceHash Website, or (ii) prevent you from completing any actions in the NiceHash Account, including closing any open orders. Following any such event, when trading resumes, you acknowledge that prevailing market prices may differ significantly from the prices available prior to such event.

When Hashing power buyer submits an order for purchasing of the Hashing power via NiceHash Website or via the NiceHash API he authorizes NiceHash to execute the order on his behalf and for his account in accordance with such order. Hashing power buyer acknowledges and agrees that NiceHash is not acting as his broker, intermediary, agent or advisor or in any fiduciary capacity. NiceHash executes the order in set order amount minus NiceHash’s processing fee. Once the order is successfully submitted the order amount starts to decrease in real time according to the payments for the provided hashing power.
Hashing power buyer agrees to pay applicable processing fee to NiceHash for provided services. The NiceHash’s fees are deducted from Hashing power buyer’s NiceHash Wallet once the whole order is exhausted and completed. Please refer to the NiceHash Website, for more information about the fees which are applicable at the time of provision of services. NiceHash reserves the right to change these fees according to the provisions to change these Terms at any time for any reason. The changed fees will apply only for the NiceHash Services provided after the change of the fees. All orders submitted prior the fee change but not necessary completed prior the fee change will be charged according to the fees applicable at the time of the submission of the order.
NiceHash will attempt, on a commercially reasonable basis, to execute the Hashing power buyer’s purchase of the hashing power on the Hashing power marketplace under these Terms according to the best-effort delivery approach. In this respect NiceHash does not guarantee that the hashing power will actually be delivered or verified and does not guarantee any quality of the NiceHash Services.
Hashing power buyer may cancel a submitted order during order’s lifetime. If an order has been partially executed, Hashing power buyer may cancel the unexecuted remainder of the order. In this case the NiceHash’s processing fee will apply only for the partially executed order. NiceHash reserves the right to refuse any order cancellation request once the order has been submitted.

SELLING HASHING POWER AND THE PROVISION OF HASHING POWER
In order to submit the hashing power to the NiceHash stratum server the Hashing power provider must first point its Hashing power rig to the NiceHash stratum server. Hashing power provider is solely responsible for configuration of his Hashing power rig.
The Hashing power provider gets paid by Hashing power buyers for all validated and accepted work that his Hashing power rig has produced. The provided hashing power is validated by NiceHash’s stratum engine and validator. Once the hashing power is validated the Hashing power provider is entitled to receive the payment for his work. NiceHash logs all validated hashing power which was submitted by the Hashing power provider. The Hashing power provider receives the payments of current globally weighted average price on to his NiceHash Wallet or his selected personal Bitcoin address. The payments are made periodically depending on the height of payments. NiceHash reserves the right to hold the payments any time and for any reason by indicating the reason, especially if the payments represent smaller values. Please refer to the NiceHash Website, for more information about the height of payments for provided hashing power, how the current globally weighted average price is calculated, payment periods, payment conditions and conditions for detention of payments. NiceHash reserves the right to change this payment policy according to the provisions to change these Terms at any time for any reason.
All Hashing power rig’s earnings and profitability calculations on NiceHash Website are only for informational purposes. NiceHash does not warrant that your Hashing power rigs would achieve the same profitability or earnings as calculated on NiceHash Website. You hereby acknowledge that it is possible that your Hashing power rigs would not be as profitable as indicated in our informational calculations or would not be profitable at all.
Hashing power provider agrees to pay applicable processing fee to NiceHash for provided services. The NiceHash’s fees are deducted from all the payments made to the Hashing power provider for his provided work. Please refer to the NiceHash Website, for more information about the fees which are applicable at the time of provision of services. NiceHash reserves the right to change these fees according to the provisions to change these Terms at any time for any reason. The changed fees will apply only for the NiceHash Services provided after the change of the fees.
NiceHash will attempt, on a commercially reasonable basis, to execute the provision of Hashing power providers’ hashing power on the Hashing power marketplace under these Terms according to the best-effort delivery approach. In this respect NiceHash does not guarantee that the hashing power will actually be delivered or verified and does not guarantee any quality of the NiceHash Services.
Hashing power provider may disconnect the Hashing power rig from the NiceHash stratum server any time. NiceHash reserves the right to refuse any Hashing power rig once the Hashing power rig has been pointed towards NiceHash stratum server.
Misuse and malicious use of Hashing power rigs is strictly prohibited. It is particularly prohibited to use NiceHash Services by using network botnets or by using NiceHash Services with Hashing power rigs without the knowledge or awareness of Hashing power rig owner(s). NiceHash reserves the right to seize any funds, accumulated with misuse and malicious use of Hashing power rigs.

RIGHTS AND OBLIGATIONS

In the event of disputes with you, NiceHash is obliged to prove that the NiceHash service which is the subject of the dispute was not influenced by technical or other failure. You will have possibility to check at any time, subject to technical availability, the transactions details, statistics and available balance of the funds held on the NiceHash Wallet, through access to the NiceHash Account.
When accessing or using the NiceHash Services or NiceHash Wallet, you agree that you will not violate any law, contract, intellectual property or other third-party right or commit a tort, and that you are solely responsible for your conduct while using NiceHash Services or NiceHash Wallet.
As a condition of your use of the NiceHash Services you warrant to NiceHash that you will not use the NiceHash Services for any purpose that is unlawful or prohibited by these Terms. You may not use the NiceHash Services in any manner that could damage, disable, overburden, or impair the provision of NiceHash Services or interfere with any other party's use and enjoyment of the NiceHash Services. You may not obtain or attempt to obtain any materials or information through any means not intentionally made available or provided to you or public through the NiceHash Services.
We may, in our sole discretion, at any time, for any or no reason and without liability to you, with prior notice and with notice period of 30 days (i) terminate all rights and obligations between you and NiceHash derived from these Terms, (ii) suspend your access to all or a portion of NiceHash Services, NiceHash Wallet and its related services or any portion thereof and delete or deactivate your NiceHash Account and all related information and files in such account (iii) modify, suspendor discontinue, temporarily or permanently, any portion of NiceHash Services or (iv) provide enhancements or improvements to the features and functionality of the NiceHash Services, which may include patches, bug fixes, updates, upgrades and other modifications. Any such change may modify or delete certain portion, features or functionalities of the NiceHash Services. You agree that NiceHash has no obligation to (i) provide any updates, or (ii) continue to provide or enable any particular portion, features or functionalities of the NiceHash Services to you. You further agree that all changes will be (i) deemed to constitute an integral part of the NiceHash Services, and (ii) subject to these Terms.
In the event of your breach of these Terms, including but not limited to, for instance, in the event that you breach any term of these Terms, due to legal grounds originating in anti-money laundering and know your client regulation and procedures, or any other relevant applicable regulation, all right and obligations between you and NiceHash derived from these Terms terminate automatically if you fail to comply with these Terms within the notice period of 8 days after you have been warned by NiceHash about the breach and given 8 days period to cure the breaches. NiceHash reserves the right to keep these rights and obligations in force despite your breach of these Terms.
In the event of termination, NiceHash will attempt to return you any funds stored on your NiceHash Wallet not otherwise owed to NiceHash, unless NiceHash believes you have committed fraud, negligence or other misconduct. You acknowledge that the NiceHash Services and NiceHash Wallet may be suspended for maintenance.
Technical information about the hashing power transactions, including information about chosen server locations, algorithms used, selected mining pools, your business or activities, including all financial and technical information, specifications, technology together with all details of prices, current transaction performance and future business strategy represent confidential information and trade secrets. NiceHash shall, preserve the confidentiality of all before mentioned information and shall not disclose or cause or permit to be disclosed without your permission any of these information to any person save to the extent that such disclosure is strictly to enable you to perform or comply with any of your obligations under these Terms, or to the extent that there is an irresistible legal requirement on you or NiceHash to do so; or where the information has come into the public domain otherwise than through a breach of any of the terms of these Terms. NiceHash shall not be entitled to make use of any of these confidential information and trade secrets other than during the continuance of and pursuant to these Terms and then only for the purpose of carrying out its obligations pursuant to these Terms.

COMMUNICATION AND SUPPORT

You agree and consent to receive electronically all communications, agreements, documents, receipts, notices and disclosures that NiceHash provides in connection with your NiceHash Account or use of the NiceHash Services. You agree that NiceHash may provide these communications to you by posting them via the NiceHash Account or by emailing them to you at the email address you provide. You should maintain copies of electronic communications by printing a paper copy or saving an electronic copy.
It is your responsibility to keep your email address updated in the NiceHash Account so that NiceHash can communicate with you electronically. You understand and agree that if NiceHash sends you an electronic communication but you do not receive it because your email address is incorrect, out of date, blocked by your service provider, or you are otherwise unable to receive electronic communications, it will be deemed that you have been provided with the communication. You can update your NiceHash Account preferences at any time by logging into your NiceHash Account. If your email address becomes invalid such that electronic communications sent to you by NiceHash are returned, NiceHash may deem your account to be inactive and close it, and you may not be able to use the NiceHash Services until NiceHash does not receive a valid, working email address from you.
You may give NiceHash a notice under these Terms by sending an email to support@nicehash.com or contact NiceHash through support located on the NiceHash Website. All communication and notices pursuant to these Terms must be given in English language.

TAX

It is your responsibility to determine what, if any, taxes apply to the transactions you complete or services you provide via the NiceHash Services and NiceHash Wallet, it is your responsibility to report and remit the correct tax to the appropriate tax authority and all your factual and potential tax obligations are your concern. You agree that NiceHash is not in any case and under no conditions responsible for determining whether taxes apply to your transactions or services or for collecting, reporting, withholding or remitting any taxes arising from any transactions or services. You also agree that NiceHash is not in any case and under no conditions bound to compensate for your tax obligation or give you any advice related to tax issues.
All fees and charges payable by you to NiceHash are exclusive of any taxes, and shall certain taxes be applicable, they shall be added on top of the payable amounts. Upon our request, you will provide to us any information that we reasonably request to determine whether we are obligated to collect VAT from you, including your VAT identification number. If any deduction or withholding is required by law, you will notify NiceHash and will pay NiceHash any additional amounts necessary to ensure that the net amount received by NiceHash, after any deduction and withholding, equals the amount NiceHash would have received if no deduction or withholding had been required. Additionally, you will provide NiceHash with documentation showing that the withheld and deducted amounts have been paid to the relevant taxing authority.

NICEHASH MINER AND EXCAVATOR LICENSE (NICEHASH MINING SOFTWARE LICENSE)

NiceHash Mining Software whether on disk, in read only memory, or any other media or in any other form is licensed, not sold, to you by NiceHash for use only under these Terms. NiceHash retains ownership of the NiceHash Mining Software itself and reserve all rights not expressly granted to you.
Subject to these Terms, you are granted a limited, non-transferable, non-exclusive and a revocable license to download, install and use the NiceHash Mining Software. You may not distribute or make the NiceHash Mining Software available over a network where it could be used by multiple devices at the same time. You may not rent, lease, lend, sell, redistribute, assign, sublicense host, outsource, disclose or otherwise commercially exploit the NiceHash Mining Software or make it available to any third party.
There is no license fee for the NiceHash Mining Software. NiceHash reserves the right to change the license fee policy according to the provisions to change these Terms any time and for any reason, including to decide to start charging the license fee for the NiceHash Mining Software. You are responsible for any and all applicable taxes.
You may not, and you agree not to or enable others to, copy, decompile, reverse engineer, reverse compile, disassemble, attempt to derive the source code of, decrypt, modify, or create derivative works of the NiceHash Mining Software or any services provided by the NiceHash Mining Software, or any part thereof (except as and only to the extent any foregoing restriction is prohibited by applicable law or to the extent as may be permitted by the licensing terms governing use of open-sourced components included with the NiceHash Mining Software).
If you choose to allow automatic updates, your device will periodically check with NiceHash for updates and upgrades to the NiceHash Mining Software and, if an update or upgrade is available, the update or upgrade will automatically download and install onto your device and, if applicable, your peripheral devices. You can turn off the automatic updates altogether at any time by changing the automatic updates settings found within the NiceHash Mining Software.
You agree that NiceHash may collect and use technical and related information, including but not limited to technical information about your computer, system and application software, and peripherals, that is gathered periodically to facilitate the provision of software updates, product support and other services to you (if any) related to the NiceHash Mining Software and to verify compliance with these Terms. NiceHash may use this information, as long as it is in a form that does not personally identify you, to improve our NiceHash Services.
NiceHash Mining Software contains features that rely upon information about your selected mining pools. You agree to our transmission, collection, maintenance, processing, and use of all information obtained from you about your selected mining pools. You can opt out at any time by going to settings in the NiceHash Mining Software.
NiceHash may provide interest-based advertising to you. If you do not want to receive relevant ads in the NiceHash Mining Software, you can opt out at any time by going to settings in the NiceHash Mining Software. If you opt out, you will continue to receive the same number of ads, but they may be less relevant because they will not be based on your interest.
NiceHash Mining Software license is effective until terminated. All provisions of these Terms regarding the termination apply also for the NiceHash Mining Software license. Upon the termination of NiceHash Mining Software license, you shall cease all use of the NiceHash Mining Software and destroy or delete all copies, full or partial, of the NiceHash Mining Software.

INTELLECTUAL PROPERTY

NiceHash retains all copyright and other intellectual property rights, including inventions, discoveries, knowhow, processes, marks, methods, compositions, formulae, techniques, information and data, whether or not patentable, copyrightable or protectable in trademark, and any trademarks, copyrights or patents based thereon over all content and other materials contained on NiceHash Website or provided in connection with the NiceHash Services, including, without limitation, the NiceHash logo and all designs, text, graphics, pictures, information, data, software, source code, as well as the compilation thereof, sound files, other files and the selection and arrangement thereof. These material is protected by Slovenian and international copyright laws and other intellectual property right laws. These Terms shall not be understood and interpreted in a way that they would mean assignment of copyright or other intellectual property rights, unless it is explicitly defined so in these Terms.
NiceHash hereby grants you a limited, nonexclusive and non-sublicensable license to access and use NiceHash’s copyrighted work and other intellectual property for your personal or internal business use. Such license is subject to these Terms and does not permit any resale, the distribution, public performance or public display, modifying or otherwise making any derivative uses, use, publishing, transmission, reverse engineering, participation in the transfer or sale, or any way exploit any of the copyrighted work and other intellectual property other than for their intended purposes. This granted license will automatically terminate if NiceHash suspends or terminates your access to the NiceHash Services, NiceHash Wallet or closes your NiceHash Account.
NiceHash will own exclusive rights, including all intellectual property rights, to any feedback including, but not limited to, suggestions, ideas or other information or materials regarding NiceHash Services or related products that you provide, whether by email, posting through our NiceHash Website, NiceHash Account or otherwise and you irrevocably assign any and all intellectual property rights on such feedback unlimited in time, scope and territory. Any Feedback you submit is non-confidential and shall become the sole property of NiceHash. NiceHash will be entitled to the unrestricted use, modification or dissemination of such feedback for any purpose, commercial or otherwise, without acknowledgment or compensation to you. You waive any rights you may have to the feedback. We have the right to remove any posting you make on NiceHash Website if, in our opinion, your post does not comply with the content standards defined by these Terms.

PRIVACY POLICY

Please refer to our Privacy Policy published on NiceHash Website for information about how we collect, use and share your information.

FINAL PROVISIONS

Natural persons and legal entities that are not capable of holding legal rights and obligations are not allowed to create NiceHash Account and use NiceHash Services or other related services. If NiceHash becomes aware that such natural person or legal entity has created the NiceHash Account or has used NiceHash Services, NiceHash will delete such NiceHash Account and disable any NiceHash Services and block access to NiceHash Account and NiceHash Services to such natural person or legal entity.
If you register to use the NiceHash Services on behalf of a legal entity, you represent and warrant that (i) such legal entity is duly organized and validly existing under the applicable laws of the jurisdiction of its organization; and (ii) you are duly authorized by such legal entity to act on its behalf.
These Terms do not create any third-party beneficiary rights in any individual or entity.
These Terms forms the entire agreement and understanding relating to the subject matter hereof and supersede any previous and contemporaneous agreements, arrangements or understandings relating to the subject matter hereof to the exclusion of any terms implied by law that may be excluded by contract.
If at any time any provision of these Terms is or becomes illegal, invalid or unenforceable, the legality, validity and enforceability of every other provisions will not in any way be impaired. Such illegal, invalid or unenforceable provision of these Terms shall be deemed to be modified and replaced by such legal, valid and enforceable provision or arrangement, which corresponds as closely as possible to our and your will and business purpose pursued and reflected in these Terms.
Headings of sections are for convenience only and shall not be used to limit or construe such sections.
No failure to enforce nor delay in enforcing, on our side to the Terms, any right or legal remedy shall function as a waiver thereof, nor shall any individual or partial exercise of any right or legal remedy prevent any further or other enforcement of these rights or legal remedies or the enforcement of any other rights or legal remedies.
NiceHash reserves the right to make changes, amendments, supplementations or modifications from time to time to these Terms including but not limited to changes of licence agreement for NiceHash Mining Software and of any fees and compensations policies, in its sole discretion and for any reason. We suggest that you review these Terms periodically for changes. If we make changes to these Terms, we will provide you with notice of such changes, such as by sending an email, providing notice on the NiceHash Website, placing a popup window after login to the NiceHash Account or by posting the amended Terms on the NiceHash Website and updating the date at the top of these Terms. The amended Terms will be deemed effective immediately upon posting for any new users of the NiceHash Services. In all other cases, the amended Terms will become effective for preexisting users upon the earlier of either: (i) the date users click or press a button to accept such changes in their NiceHash Account, or (ii) continued use of NiceHash Services 30 days after NiceHash provides notice of such changes. Any amended Terms will apply prospectively to use of the NiceHash Services after such changes become effective.
The notice of change of these Terms is considered as notice of termination of all rights and obligations between you and NiceHash derived from these Terms with notice period of 30 days, if you do not accept the amended Terms. If you do not agree to any amended Terms, (i) the agreement between you and NiceHash is terminated by expiry of 30 days period which starts after NiceHash provides you a notice of change of these Terms, (ii) you must discontinue using NiceHash Services and (iii) you must inform us regarding your disagreement with the changes and request closure of your NiceHash Account. If you do not inform us regarding your disagreement and do not request closure of you NiceHash Account, we will deem that you agree with the changed Terms.
You may not assign or transfer your rights or obligations under these Terms without the prior written consent of NiceHash. NiceHash may assign or transfer any or all of its rights under these Terms, in whole or in part, without obtaining your consent or approval.
NICEHASH, d. o. o. may assign or transfer to NiceHash any or all of its rights under the agreements and terms and conditions as amended from time to time (last update on September 8, 2017) concluded from December 19, 2017 onwards, in whole or in part, without obtaining your consent or approval. For the avoidance of doubt, the provision of this paragraph and only the provision of this paragraph amends the previous terms and conditions of NICEHASH, d. o. o. and not NiceHash.
The place of fulfilment for any of the rights and obligations of you and NiceHash under these Terms shall be Ljubljana, Slovenia.
These Terms and all matters or disputes arising out of or connected to them shall be governed by and construed in accordance with the laws of Republic of Slovenia, excluding its conflict of laws rules.
All disputes and claims arising out of or in connection with these Terms shall be finally resolved and settled by the competent court in Ljubljana.
The rights and remedies conferred on NiceHash by, or pursuant to, these Terms are cumulative and are in addition, and without prejudice, to all other rights and remedies otherwise available to NiceHash at law.
These Terms are not boilerplate. If you disagree with any of them, believe that any should not apply to you, or wish to negotiate these Terms, please contact NiceHash and immediately navigate away from the NiceHash Website. Do not use the NiceHash Services, NiceHash Wallet or other related services until you and NiceHash have agreed upon new terms of service.


PRIVACY POLICY

This Privacy Policy explains how H-BIT, d.o.o., a limited liability company organized and existing under the laws of Slovenia, with registered address at Obrežna ulica 3, 2312 Orehova vas, Slovenia, registration number: 6633994000, VAT number: SI28401280 (""NiceHash,"" ""we"" or ""us ""), collects, uses, discloses and protects your personal information. This Privacy Policy explains which information we collect, use, process and protect your information and what options our users have with regards to their personal information. 

Personal information means any data relating to an identified or identifiable natural person. This policy applies to information we collect when you access or use NiceHash Website, NiceHash API, NiceHash Marketplace, NiceHash Account, NiceHash Mining Software and NiceHash Mobile applications (collectively, ""NiceHash Services"") or otherwise interact with us as described below. We are compliant with applicable laws in the countries in which we operate. By using the NiceHash Services or interacting with us as described below, you confirm that you are aware of this Privacy Policy.

We may amend this Privacy Policy from time to time. If we make changes, we will notify you by revising the date at the top of this policy, and in some circumstances, we may provide you with additional notice, including, for example, by adding a statement to the homepage of the NiceHash Services or by sending you an email notification. We strongly encourage you to review the Privacy Policy whenever you access or use NiceHash Services to stay informed about our information practices and your privacy rights and choices. 


1.	DATA WE COLLECT 

We collect information you provide directly to us and we also get some information about you when you interact with NiceHash Services. For example, we collect information about you when you create an online account, complete a transaction, fill out a form, use our software products and mobile applications, respond to surveys, post messages to our forums or wikis or otherwise communicate with us. 

The types of information we may collect are as follows: 
●	Contact information, namely your email address; 
●	Your bitcoin address; 
●	Account information such as username, two-factor authentication keys and account preferences; 
●	All information associated with hashing power orders namely : selected NiceHash server location, mining pool, algorithms used, order type, set amount hashing power buyer is willing to spend on his order, set price per hash hashing power buyer is willing to pay, approximate limit maximum hashing power for order, payments, number, duration, modification and termination of orders and other order parameters; 
●	All information associated with selling hashing power and the provision of hashing power namely: information on hashing power rigs including information about hashing power rigs hardware, quantity and quality of provided hashing power, hashing power validation, hashing power speed, payments, connection settings, errors and malfunctions and other parameters regarding the provision of hashing power; 
●	Any information that are required for the tax purposes namely your VAT identification number. 

Bitcoin address does not in itself allow us to identify an individual person and would as such in certain jurisdictions not be considered personal information. In such jurisdictions, if we do combine this non-personal information with personal information, the combined information will be treated as personal information for as long as it remains combined. 

When you access or use the NiceHash Services, we automatically collect information as follows: 
●	Transaction information: we collect information about the transaction you complete via the NiceHash Services, including the amount of funds associated with an order, selected mining pool, the types of orders executed and other transaction information regarding hashing power. 
●	Location information: Our mobile applications may collect precise geolocation information from your mobile device with your prior consent. If you initially consent to our collection of location information, you may be able to subsequently stop the collection of this information through your device operating system settings. You may also stop our collection of location information by following the standard uninstall process to remove our mobile applications from your device. 
●	Device and Log information: we collect information about the computer or mobile device you use to access the NiceHash Services, including device identifiers, mobile network information, type of operating system, type of hardware used and the type of browser used. We also log information about your use of the NiceHash Services, including access times, pages viewed, IP address, other standard web log data, and the page visited before and after navigating to our websites. 
●	Cookies and similar tracking technologies: we may use cookies, pixel tags, web beacons, and other tracking technologies to collect information about you when you interact with the NiceHash Services, including information about your browsing behaviour on our NiceHash Services. For more information on cookies, please see below. 
●	Data we collect from third party providers: We use third party providers, including Facebook, Google and others, to collect information about your use of NiceHash Services and enable us to improve how the services work. The information allows us to see the overall patterns of usage on NiceHash Services, helps us record any difficulties you have with the services, shows us whether our advertising is effective or not, and allows us to use responses to advertisements to optimise ad performance. Google, Facebook use cookies and other, similar technologies to collect information about the services use and to report website trends to us, without identifying individual End-Users or Visitors to us. See below for more information, or to opt out of these practices:
    ○	You can learn about Google’s practices by going to www.google.com/policies/privacy//, and opt-out of them by downloading the Google Analytics opt-out browser add-on, available at https://tools.google.com/dlpage/gaoptout.
    ○	You may opt-out of Facebook advertising by visiting thttps://www.facebook.com/settings/?tab=ads/.
●	Software auto-update: Our desktop and mobile software products may utilize auto-updating features with your prior consent. If you initially consent to auto-update features, you may be able to subsequently stop the auto-update features through our software products or your device operating system settings. 


2.	HOW WE USE YOUR DATA  

2.1. SERVICES

We use your data to operate effectively and provide the best experience with our services.

We use your data to authorize access to NiceHash Services, to provide customer support, to manage your account(s) and send you technical notices, updates, security alerts and support and administrative messages. We also use your data to process transactions, to send notices about your transactions and to help prevent potentially prohibited or illegal activities and enforce our user agreements.

With the help of the data you provide us and with linking or combining it with information we obtain from others, we personalize, measure and improve the NiceHash Services. 

We may also carry out any other purpose for which the data was collected, to the extent such purpose is necessarily contemplated by the collection of such information or as otherwise notified in the NiceHash Services at the time of collection. 

We use third party services to help us provide our services effectively (e.g., maintenance, analysis, audit, transactions, fraud detection, marketing and development). They will have access to your information as reasonably necessary to perform these tasks on our behalf and are obligated not to disclose or use it for other purposes.

2.2. COMMUNICATIONS

We use your email address to get in contact with you, to deliver marketing and promotional offers on behalf of NiceHash and others. 

You may opt out of receiving promotional communications from us by following the instructions in those communications. You may also opt out of receiving our newsletter or certain administrative emails by modifying your communications preferences through the settings feature of your online account. If you opt out of receiving promotional communications, we may still send you transactional or relationship messages, such as those about your account or our ongoing business relations. 

2.3. ADVERTISING 

We target (and measure the performance of) ads to users, visitors and others both on and off our services directly or through a variety of partners. We are using data from advertising technologies on and off NiceHash Services, like web beacons, pixels, ad tags, cookies, and device identifiers.

2.4. COOKIES

Cookies are small text files that are placed on your computer by websites that you visit. They are widely used in order to make websites work, or work more efficiently, as well as to provide information to the owners of the site. They are typically stored on your computer’s hard drive. 

We use both session and persistent cookies. Session cookies expire when you log out of your account or close your browser. Persistent cookies remain on your computer or mobile device until you erase them or they otherwise expire. Most web browsers are set to accept cookies by default. You are free to decline most of our cookies if your browser or browser add-on permits, but choosing to remove or disable our cookies may interfere with your use and functionality of the NiceHash Services. Additionally, we may use certain persistent cookies that are not affected by your browser settings, but will use such cookies solely for identity verification and fraud prevention purposes. You may refuse cookies by turning them off in your browser, however, you should be aware that our site, like most other popular sites, may not work well with cookies disabled. For more information about cookies and how to block, delete or disable them, please refer to your browser instructions, or contact us at support@nicehash.com.  

We use third party service provider(s), to assist us in better understanding the use of our Site. Our service provider(s) will place cookies on the hard drive of your computer and will receive information that we select that will educate us on such things as how visitors navigate around our site, what products are browsed, and general transaction information. Our service provider(s) analyses this information and provides us with aggregate reports. The information and analysis provided by our service provider(s) will be used to assist us in better understanding our visitors' interests in our Site and how to better serve those interests. The information collected by our service provider(s) may be linked to and combined with information that we collect about you while you are using our services. Our service provider(s) is/are contractually restricted from using information they receive from our Site other than to assist us. 

3. HOW AND WHY WE SHARE YOUR DATA 

We will only use and disclose your personal information internally in order to: 
●	 Understand and meet your needs and preferences; 
●	 Develop new and enhance existing service and product offerings; 
●	 Manage and develop our business and operations; 
●	 Carry out any purposes for which we have received your consent; and 
●	 Meet legal and regulatory requirements. 

We may disclose any information we collect about you, whether you are a current or former customer, with law enforcement, data protection authorities, government officials, and other authorities, when: 
●	compelled by subpoena, court order or other legal procedure; 
●	we believe the disclosure is necessary to prevent physical harm or financial loss; 
●	disclosure is necessary to report suspected illegal activity; 
●	disclosure is necessary to investigate violations of this Privacy Policy or our Terms of Use. 
●	we obtain your consent or at your direction. 

Other than in connection with a merger, sale of NiceHash's assets, financing or acquisition, we will not sell or rent any of your information to third parties for their own marketing purposes.

 
3.1. SHARING DATA WITH THIRD PARTY SERVICE PROVIDERS

3.1.1. NiceHash Service

We share some of your data with third party service providers for analytic purposes in order to provide the best user experience. We are sharing data gathered from cookies, device identifiers and usage data with:
●	Facebook SDK to track and examine the use of NiceHash Miner and NiceHash Website to prepare reports and analysis;
●	Fospha for connecting data from NiceHash Website with action performed in NiceHash Miner; 
●	Google Analytics to track and examine the use of NiceHash Website in order to prepare reports and analysis.

3.1.2.  Communications

We are sharing your email addresses with third party service providers such as MailerLite and MailGun, to send you marketing communications, communicate with you about our services and let you know about our policies and terms. We also use your information to respond to you when you contact us.
3.1.3. Advertising and Analytics (Non-Personally Identifiable Information Only)

We use third-party analytics and advertising providers to help us analyse and improve our services. We are sharing data gathered from cookies and usage data and do not share information that personally identifies you.

We use analytic tool Facebook Pixel to measure the effectiveness of our advertising, to understand your actions on NiceHash Website and to optimize our advertising. We also use Google AdWords to connect data gathered from Google AdWords advertising network with actions performed on NiceHash Website. 


4.	LEGAL BASIS FOR PROCESSING DATA

We collect, use and share data as described above.

We will only collect and process personal data about you where we have lawful bases. Lawful bases include consent (where you have given consent), contract (where processing is necessary for the performance of a contract with you - learn more in our Terms of Service on NiceHash Website) and “legitimate interests”. 

Where we rely on your consent to process personal data, you have the right to withdraw or decline your consent at any time and where we rely on legitimate interests, you have the right to object. If you have any questions about the lawful bases upon which we collect and use your personal data, please contact our Data Protection Officer - dpo@nicehash.com.  


5.	YOUR CHOICES AND OBLIGATIONS

5.1. DATA RETENTION

We retain personal data for as long as necessary to fulfil purposes described in this Privacy Policy, subject to our own legal and regulatory obligations. In accordance with our record keeping obligations, we will retain basic account information and informations about performed transactions for at least 5 years after an account is closed. 

5.2. ACCESSING AND CONTROLLING YOUR PERSONAL DATA

Regarding your personal data, you have following options: 
●	Delete data: You can request deletion of your personal data that we have about you. We will delete the data that we are not legally obliged to keep and since some of the data is necessary to provide NiceHash Services to you, you will not be able to use our services after the deletion; 
●	Change or correct data: You have the right to request change of incorrect personal data that we have about you; 
●	Object to or limit or restrict use of data: You can request that we stop using all or some of your personal data (e.g., if we have no legal right to keep using it) or to limit our use of it (e.g., if your personal data is inaccurate or unlawfully held).
●	Right to access and/or take your personal data: You have the right to ask us for a copy of your personal data and can ask for a copy of personal data you provided in machine readable form.

You can make a request for any of the above mentioned actions by sending an email to dpo@nicehash.com. 

In relation to all procedures relating to the collection, processing and storage of your personal data, you have the right to appeal to the Information Commissioner of the Republic of Slovenia (https://www.ip-rs.si/o-pooblascencu/osebna-izkaznica/). 

5.3. ACCOUNT INFORMATION AND ACCOUNT DELETION 

You may access and review or update your online account information at any time by logging into your account.

If you choose to close your NiceHash Account, please contact us at support@nicehash.com.  Your account will be deleted and your personal data will be erased within 30 days of receiving your request. 

We retain your personal data even after you have closed your account if reasonably necessary to comply with our legal obligations, meet regulatory requirements, resolve disputes, maintain security, prevent fraud and abuse or enforce our Terms of Service. We will retain de-personalized and fully encrypted information after your account has been deleted.

6.	SECURITY

We implement reasonable security practices and procedures to help protect the confidentiality and security of your information, including any non-public personal information. 

We protect your information using reasonable physical, technical and administrative security measures, including by limiting access to your information to employees with a need to know such information. To make sure your personal information is secure, we communicate our privacy and security guidelines to our employees and strictly enforce privacy safeguards within the company.  

7.	CONTACT US 
If you have any questions or concerns regarding this Privacy Policy, please contact us at support@nicehash.com.  


Last updated: May 28, 2018

";
    }
}
